<html>
<head>
<title>OGRE: Ogre::AxisAlignedBox Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a></div>
<h1>Ogre::AxisAlignedBox Class Reference</h1><!-- doxytag: class="Ogre::AxisAlignedBox" -->A 3D box aligned with the x/y/z axes.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1AxisAlignedBox-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b3">CornerEnum</a> { <br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b32ba07c11671eb44dae2015d45a9fa861">FAR_LEFT_BOTTOM</a> =  0, 
<a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b3805a552d90a29ea9fd8c247500dcd92e">FAR_LEFT_TOP</a> =  1, 
<a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b383ef287678d55680f7d26c0e1a0af88b">FAR_RIGHT_TOP</a> =  2, 
<a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b382a1588bb8174e562e0e21a3469cd428">FAR_RIGHT_BOTTOM</a> =  3, 
<br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b303c007f742ece84e634533dad5655289">NEAR_RIGHT_BOTTOM</a> =  7, 
<a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b3d7af8f1d62fb0717955df915775bba40">NEAR_LEFT_BOTTOM</a> =  6, 
<a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b3b6b3c127e0bec403f8b162153fa8977c">NEAR_LEFT_TOP</a> =  5, 
<a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b3b76a3b018615466de7e96bf65fed7696">NEAR_RIGHT_TOP</a> =  4
<br>
 }</td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#848fa65c291ef9f898a48c686c9a0444">AxisAlignedBox</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#447e26afa784b2cbe61b5204f8dbf69f">AxisAlignedBox</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;rkBox)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#376f0d3333f8c5e84e679a981b2cc4dd">AxisAlignedBox</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;min, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;max)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#c500b5c0c4b894d031e5c53357586358">AxisAlignedBox</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> mx, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> my, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> mz, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Mx, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> My, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Mz)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#fa0d6b257b3c1da62dd8944a02eae3f1">operator=</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#6388a911df973ae067d9751ca74a57c4">~AxisAlignedBox</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#0ef53ae1514666961bb13fa170162273">getMinimum</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the minimum corner of the box.  <a href="#0ef53ae1514666961bb13fa170162273"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#8f7f70a7c229e3ee93d0fab42b177682">getMinimum</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets a modifiable version of the minimum corner of the box.  <a href="#8f7f70a7c229e3ee93d0fab42b177682"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#89c67352264aa62ee69283b25dca4982">getMaximum</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the maximum corner of the box.  <a href="#89c67352264aa62ee69283b25dca4982"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#89e5714529366778551e87fffe4a9932">getMaximum</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets a modifiable version of the maximum corner of the box.  <a href="#89e5714529366778551e87fffe4a9932"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#ce4bd8141eb4f5984e52a6cb31e7a571">setMinimum</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vec)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the minimum corner of the box.  <a href="#ce4bd8141eb4f5984e52a6cb31e7a571"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#ebb44ed507a75cdfbc4bc0fff365ffc7">setMinimum</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> z)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#3142685d30334a229535ae5265d65dd0">setMinimumX</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Changes one of the components of the minimum corner of the box used to resize only one dimension of the box.  <a href="#3142685d30334a229535ae5265d65dd0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#e3870fdd15eec672cbb31a72243b9099">setMinimumY</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#18b7996a011d896e1e2065acce0bac67">setMinimumZ</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> z)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#76ad2dc729fbee83db77e0fa1eb101ed">setMaximum</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vec)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the maximum corner of the box.  <a href="#76ad2dc729fbee83db77e0fa1eb101ed"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#e61ad12fad9545d49554ac6fcb9da224">setMaximum</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> z)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#283c031dbabc054cde094b97d1a9e7dc">setMaximumX</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Changes one of the components of the maximum corner of the box used to resize only one dimension of the box.  <a href="#283c031dbabc054cde094b97d1a9e7dc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#b8f460db81d836e4b898e9f326c324d0">setMaximumY</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#7707872f77222c8eef359b4b7e14c2e5">setMaximumZ</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> z)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#6de5f05eea95ab39fe83349238e210c5">setExtents</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;min, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;max)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets both minimum and maximum extents at once.  <a href="#6de5f05eea95ab39fe83349238e210c5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#2e0be3251dbe51eec06999a0a9380359">setExtents</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> mx, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> my, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> mz, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Mx, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> My, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Mz)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#b749779f8ed309a24cedf9a1c0ceebc7">getAllCorners</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a pointer to an array of 8 corner points, useful for collision vs.  <a href="#b749779f8ed309a24cedf9a1c0ceebc7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#71b9c846c5698948e0fd57d9f6e05461">getCorner</a> (<a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b3">CornerEnum</a> cornerToGet) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">gets the position of one of the corners  <a href="#71b9c846c5698948e0fd57d9f6e05461"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#569d00c84979da765abfc66a64b25b68">merge</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;rhs)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Merges the passed in box into the current box.  <a href="#569d00c84979da765abfc66a64b25b68"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#f3ad8fdc676dc194817f6b7699914d5d">merge</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;point)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Extends the box to encompass the specified point (if needed).  <a href="#f3ad8fdc676dc194817f6b7699914d5d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#e2e7a8dc14154120b288aabd468fe9d3">transform</a> (const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;matrix)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Transforms the box according to the matrix supplied.  <a href="#e2e7a8dc14154120b288aabd468fe9d3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#08597ff0f683fd94d23632dc749bef55">transformAffine</a> (const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;m)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Transforms the box according to the affine matrix supplied.  <a href="#08597ff0f683fd94d23632dc749bef55"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#a7428e161d37a9715501c678d919eb2a">setNull</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the box to a 'null' value i.e.  <a href="#a7428e161d37a9715501c678d919eb2a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#beef4ea1111a90001287734529288749">isNull</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if the box is null i.e.  <a href="#beef4ea1111a90001287734529288749"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#953952743ef5dfd51e2012a11801bb47">isFinite</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if the box is finite.  <a href="#953952743ef5dfd51e2012a11801bb47"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#1d02be8fab444a465b52795175fe52dc">setInfinite</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the box to 'infinite'.  <a href="#1d02be8fab444a465b52795175fe52dc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#45665abec389ae0ecbea54a26956a633">isInfinite</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if the box is infinite.  <a href="#45665abec389ae0ecbea54a26956a633"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#7f8715f143dbb147e5854fe160e24a0a">intersects</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;b2) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether or not this box intersects another.  <a href="#7f8715f143dbb147e5854fe160e24a0a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#1bbe1d561652390716416e3970469dc9">intersection</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;b2) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Calculate the area of intersection of this box and another.  <a href="#1bbe1d561652390716416e3970469dc9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#aa452ad6821e12ea737121b51acf9fe7">volume</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Calculate the volume of this box.  <a href="#aa452ad6821e12ea737121b51acf9fe7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#d77340197d2e06137e82cbae79c895ee">scale</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;s)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Scales the AABB by the vector given.  <a href="#d77340197d2e06137e82cbae79c895ee"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#c8739a02ac7dca031e99bd6c3b582d4f">intersects</a> (const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;s) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests whether this box intersects a sphere.  <a href="#c8739a02ac7dca031e99bd6c3b582d4f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#c0c4f8ffe845434ff3c62faa884adcf2">intersects</a> (const <a class="el" href="classOgre_1_1Plane.html">Plane</a> &amp;p) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests whether this box intersects a plane.  <a href="#c0c4f8ffe845434ff3c62faa884adcf2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#f07e5cb7e3c20ed00c74d1a0c0666bdc">intersects</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;v) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests whether the vector point is within this box.  <a href="#f07e5cb7e3c20ed00c74d1a0c0666bdc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#7407087b6542b79792d915c60c0b49f0">getCenter</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the centre of the box.  <a href="#7407087b6542b79792d915c60c0b49f0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#2618b461f9d78d23d846bd177b21abd0">getSize</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the size of the box.  <a href="#2618b461f9d78d23d846bd177b21abd0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#dd9cf7a160ec472c91bf0fedb25cfed1">getHalfSize</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the half-size of the box.  <a href="#dd9cf7a160ec472c91bf0fedb25cfed1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#d3fe7b6013b38cb3710bfa6462328e8b">contains</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;v) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests whether the given point contained by this box.  <a href="#d3fe7b6013b38cb3710bfa6462328e8b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#d7020d4221c8a7f35800a776f8d4dcb5">contains</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;other) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests whether another box contained by this box.  <a href="#d7020d4221c8a7f35800a776f8d4dcb5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#60fe1a0464ed6991c3ec82fada37bb17">operator==</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;rhs) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests 2 boxes for equality.  <a href="#60fe1a0464ed6991c3ec82fada37bb17"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#d9a9f1e39dbb38220f1e416b188082ab">operator!=</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;rhs) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests 2 boxes for inequality.  <a href="#d9a9f1e39dbb38220f1e416b188082ab"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#49fc600cdfc76dfaba2613ce3af2443e">Extent</a> { <a class="el" href="classOgre_1_1AxisAlignedBox.html#49fc600cdfc76dfaba2613ce3af2443e5046ce9384ab8647fb3c58e03d5446c9">EXTENT_NULL</a>, 
<a class="el" href="classOgre_1_1AxisAlignedBox.html#49fc600cdfc76dfaba2613ce3af2443efa5a4b01ba1d49c7b3db966223bf6642">EXTENT_FINITE</a>, 
<a class="el" href="classOgre_1_1AxisAlignedBox.html#49fc600cdfc76dfaba2613ce3af2443e549926fd8188d52a8a579673de7b93a2">EXTENT_INFINITE</a>
 }</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#958c03c0afd2eef4347d345bea8c94a5">mMinimum</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#2254e8ef682cda1a96693637742c9834">mMaximum</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html#49fc600cdfc76dfaba2613ce3af2443e">Extent</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#756e8324082dc0b9f1d7926847711ef4">mExtent</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#cea97c005561318fc6409f2acc3ce255">mpCorners</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">_OgreExport friend <br>
std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html#cc52ead7fb1c559d3fa2f8573a225feb">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> aab)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A 3D box aligned with the x/y/z axes. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This class represents a simple box which is aligned with the axes. Internally it only stores 2 points as the extremeties of the box, one which is the minima of all 3 axes, and the other which is the maxima of all 3 axes. This class is typically used for an axis-aligned bounding box (AABB) for collision and visibility determination. </dd></dl>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00049">49</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="49fc600cdfc76dfaba2613ce3af2443e"></a><!-- doxytag: member="Ogre::AxisAlignedBox::Extent" ref="49fc600cdfc76dfaba2613ce3af2443e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1AxisAlignedBox.html#49fc600cdfc76dfaba2613ce3af2443e">Ogre::AxisAlignedBox::Extent</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="49fc600cdfc76dfaba2613ce3af2443e5046ce9384ab8647fb3c58e03d5446c9"></a><!-- doxytag: member="EXTENT_NULL" ref="49fc600cdfc76dfaba2613ce3af2443e5046ce9384ab8647fb3c58e03d5446c9" args="" -->EXTENT_NULL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="49fc600cdfc76dfaba2613ce3af2443efa5a4b01ba1d49c7b3db966223bf6642"></a><!-- doxytag: member="EXTENT_FINITE" ref="49fc600cdfc76dfaba2613ce3af2443efa5a4b01ba1d49c7b3db966223bf6642" args="" -->EXTENT_FINITE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="49fc600cdfc76dfaba2613ce3af2443e549926fd8188d52a8a579673de7b93a2"></a><!-- doxytag: member="EXTENT_INFINITE" ref="49fc600cdfc76dfaba2613ce3af2443e549926fd8188d52a8a579673de7b93a2" args="" -->EXTENT_INFINITE</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00052">52</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="771c83dfb946e6d66c9ddf09fba7e5b3"></a><!-- doxytag: member="Ogre::AxisAlignedBox::CornerEnum" ref="771c83dfb946e6d66c9ddf09fba7e5b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b3">Ogre::AxisAlignedBox::CornerEnum</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="771c83dfb946e6d66c9ddf09fba7e5b32ba07c11671eb44dae2015d45a9fa861"></a><!-- doxytag: member="FAR_LEFT_BOTTOM" ref="771c83dfb946e6d66c9ddf09fba7e5b32ba07c11671eb44dae2015d45a9fa861" args="" -->FAR_LEFT_BOTTOM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="771c83dfb946e6d66c9ddf09fba7e5b3805a552d90a29ea9fd8c247500dcd92e"></a><!-- doxytag: member="FAR_LEFT_TOP" ref="771c83dfb946e6d66c9ddf09fba7e5b3805a552d90a29ea9fd8c247500dcd92e" args="" -->FAR_LEFT_TOP</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="771c83dfb946e6d66c9ddf09fba7e5b383ef287678d55680f7d26c0e1a0af88b"></a><!-- doxytag: member="FAR_RIGHT_TOP" ref="771c83dfb946e6d66c9ddf09fba7e5b383ef287678d55680f7d26c0e1a0af88b" args="" -->FAR_RIGHT_TOP</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="771c83dfb946e6d66c9ddf09fba7e5b382a1588bb8174e562e0e21a3469cd428"></a><!-- doxytag: member="FAR_RIGHT_BOTTOM" ref="771c83dfb946e6d66c9ddf09fba7e5b382a1588bb8174e562e0e21a3469cd428" args="" -->FAR_RIGHT_BOTTOM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="771c83dfb946e6d66c9ddf09fba7e5b303c007f742ece84e634533dad5655289"></a><!-- doxytag: member="NEAR_RIGHT_BOTTOM" ref="771c83dfb946e6d66c9ddf09fba7e5b303c007f742ece84e634533dad5655289" args="" -->NEAR_RIGHT_BOTTOM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="771c83dfb946e6d66c9ddf09fba7e5b3d7af8f1d62fb0717955df915775bba40"></a><!-- doxytag: member="NEAR_LEFT_BOTTOM" ref="771c83dfb946e6d66c9ddf09fba7e5b3d7af8f1d62fb0717955df915775bba40" args="" -->NEAR_LEFT_BOTTOM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="771c83dfb946e6d66c9ddf09fba7e5b3b6b3c127e0bec403f8b162153fa8977c"></a><!-- doxytag: member="NEAR_LEFT_TOP" ref="771c83dfb946e6d66c9ddf09fba7e5b3b6b3c127e0bec403f8b162153fa8977c" args="" -->NEAR_LEFT_TOP</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="771c83dfb946e6d66c9ddf09fba7e5b3b76a3b018615466de7e96bf65fed7696"></a><!-- doxytag: member="NEAR_RIGHT_TOP" ref="771c83dfb946e6d66c9ddf09fba7e5b3b76a3b018615466de7e96bf65fed7696" args="" -->NEAR_RIGHT_TOP</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00075">75</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="848fa65c291ef9f898a48c686c9a0444"></a><!-- doxytag: member="Ogre::AxisAlignedBox::AxisAlignedBox" ref="848fa65c291ef9f898a48c686c9a0444" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AxisAlignedBox::AxisAlignedBox           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00085">85</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="447e26afa784b2cbe61b5204f8dbf69f"></a><!-- doxytag: member="Ogre::AxisAlignedBox::AxisAlignedBox" ref="447e26afa784b2cbe61b5204f8dbf69f" args="(const AxisAlignedBox &amp;rkBox)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AxisAlignedBox::AxisAlignedBox           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkBox</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00093">93</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00545">isInfinite()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00524">isNull()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00060">mMaximum</a>, and <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00059">mMinimum</a>.</p>

</div>
</div><p>
<a class="anchor" name="376f0d3333f8c5e84e679a981b2cc4dd"></a><!-- doxytag: member="Ogre::AxisAlignedBox::AxisAlignedBox" ref="376f0d3333f8c5e84e679a981b2cc4dd" args="(const Vector3 &amp;min, const Vector3 &amp;max)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AxisAlignedBox::AxisAlignedBox           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>max</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00103">103</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c500b5c0c4b894d031e5c53357586358"></a><!-- doxytag: member="Ogre::AxisAlignedBox::AxisAlignedBox" ref="c500b5c0c4b894d031e5c53357586358" args="(Real mx, Real my, Real mz, Real Mx, Real My, Real Mz)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AxisAlignedBox::AxisAlignedBox           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>mx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>my</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>mz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>Mx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>My</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>Mz</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00108">108</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6388a911df973ae067d9751ca74a57c4"></a><!-- doxytag: member="Ogre::AxisAlignedBox::~AxisAlignedBox" ref="6388a911df973ae067d9751ca74a57c4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AxisAlignedBox::~AxisAlignedBox           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00128">128</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="fa0d6b257b3c1da62dd8944a02eae3f1"></a><!-- doxytag: member="Ogre::AxisAlignedBox::operator=" ref="fa0d6b257b3c1da62dd8944a02eae3f1" args="(const AxisAlignedBox &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&amp; Ogre::AxisAlignedBox::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00115">115</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00545">isInfinite()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00524">isNull()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00060">mMaximum</a>, and <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00059">mMinimum</a>.</p>

</div>
</div><p>
<a class="anchor" name="0ef53ae1514666961bb13fa170162273"></a><!-- doxytag: member="Ogre::AxisAlignedBox::getMinimum" ref="0ef53ae1514666961bb13fa170162273" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::AxisAlignedBox::getMinimum           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the minimum corner of the box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00137">137</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00582">intersection()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8f7f70a7c229e3ee93d0fab42b177682"></a><!-- doxytag: member="Ogre::AxisAlignedBox::getMinimum" ref="8f7f70a7c229e3ee93d0fab42b177682" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::AxisAlignedBox::getMinimum           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets a modifiable version of the minimum corner of the box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00145">145</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="89c67352264aa62ee69283b25dca4982"></a><!-- doxytag: member="Ogre::AxisAlignedBox::getMaximum" ref="89c67352264aa62ee69283b25dca4982" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::AxisAlignedBox::getMaximum           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the maximum corner of the box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00152">152</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00582">intersection()</a>.</p>

</div>
</div><p>
<a class="anchor" name="89e5714529366778551e87fffe4a9932"></a><!-- doxytag: member="Ogre::AxisAlignedBox::getMaximum" ref="89e5714529366778551e87fffe4a9932" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::AxisAlignedBox::getMaximum           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets a modifiable version of the maximum corner of the box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00160">160</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ce4bd8141eb4f5984e52a6cb31e7a571"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setMinimum" ref="ce4bd8141eb4f5984e52a6cb31e7a571" args="(const Vector3 &amp;vec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setMinimum           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>vec</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the minimum corner of the box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00168">168</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ebb44ed507a75cdfbc4bc0fff365ffc7"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setMinimum" ref="ebb44ed507a75cdfbc4bc0fff365ffc7" args="(Real x, Real y, Real z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setMinimum           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>z</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00174">174</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::x</a>.</p>

</div>
</div><p>
<a class="anchor" name="3142685d30334a229535ae5265d65dd0"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setMinimumX" ref="3142685d30334a229535ae5265d65dd0" args="(Real x)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setMinimumX           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>x</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Changes one of the components of the minimum corner of the box used to resize only one dimension of the box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00185">185</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e3870fdd15eec672cbb31a72243b9099"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setMinimumY" ref="e3870fdd15eec672cbb31a72243b9099" args="(Real y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setMinimumY           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>y</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00190">190</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="18b7996a011d896e1e2065acce0bac67"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setMinimumZ" ref="18b7996a011d896e1e2065acce0bac67" args="(Real z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setMinimumZ           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>z</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00195">195</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="76ad2dc729fbee83db77e0fa1eb101ed"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setMaximum" ref="76ad2dc729fbee83db77e0fa1eb101ed" args="(const Vector3 &amp;vec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setMaximum           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>vec</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the maximum corner of the box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00202">202</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e61ad12fad9545d49554ac6fcb9da224"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setMaximum" ref="e61ad12fad9545d49554ac6fcb9da224" args="(Real x, Real y, Real z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setMaximum           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>z</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00208">208</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::x</a>.</p>

</div>
</div><p>
<a class="anchor" name="283c031dbabc054cde094b97d1a9e7dc"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setMaximumX" ref="283c031dbabc054cde094b97d1a9e7dc" args="(Real x)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setMaximumX           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>x</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Changes one of the components of the maximum corner of the box used to resize only one dimension of the box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00219">219</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b8f460db81d836e4b898e9f326c324d0"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setMaximumY" ref="b8f460db81d836e4b898e9f326c324d0" args="(Real y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setMaximumY           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>y</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00224">224</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7707872f77222c8eef359b4b7e14c2e5"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setMaximumZ" ref="7707872f77222c8eef359b4b7e14c2e5" args="(Real z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setMaximumZ           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>z</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00229">229</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6de5f05eea95ab39fe83349238e210c5"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setExtents" ref="6de5f05eea95ab39fe83349238e210c5" args="(const Vector3 &amp;min, const Vector3 &amp;max)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setExtents           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>max</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets both minimum and maximum extents at once. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00236">236</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::x</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::y</a>, and <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::z</a>.</p>

</div>
</div><p>
<a class="anchor" name="2e0be3251dbe51eec06999a0a9380359"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setExtents" ref="2e0be3251dbe51eec06999a0a9380359" args="(Real mx, Real my, Real mz, Real Mx, Real My, Real Mz)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setExtents           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>mx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>my</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>mz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>Mx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>My</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>Mz</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00246">246</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b749779f8ed309a24cedf9a1c0ceebc7"></a><!-- doxytag: member="Ogre::AxisAlignedBox::getAllCorners" ref="b749779f8ed309a24cedf9a1c0ceebc7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>* Ogre::AxisAlignedBox::getAllCorners           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a pointer to an array of 8 corner points, useful for collision vs. 
<p>
non-aligned objects. <dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If the order of these corners is important, they are as follows: The 4 points of the minimum Z face (note that because <a class="el" href="namespaceOgre.html">Ogre</a> uses right-handed coordinates, the minimum Z is at the 'back' of the box) starting with the minimum point of all, then anticlockwise around this face (if you are looking onto the face from outside the box). Then the 4 points of the maximum Z face, starting with maximum point of all, then anticlockwise around this face (looking onto the face from outside the box). Like this: <pre>
		1-----2
		/|    /|
		/ |   / |
		5-----4  |
		|  0--|--3
		| /   | /
		|/    |/
		6-----7
		</pre> <p>
as this implementation uses a static member, make sure to use your own copy ! </dd></dl>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00289">289</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="71b9c846c5698948e0fd57d9f6e05461"></a><!-- doxytag: member="Ogre::AxisAlignedBox::getCorner" ref="71b9c846c5698948e0fd57d9f6e05461" args="(CornerEnum cornerToGet) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::AxisAlignedBox::getCorner           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AxisAlignedBox.html#771c83dfb946e6d66c9ddf09fba7e5b3">CornerEnum</a>&nbsp;</td>
          <td class="paramname"> <em>cornerToGet</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
gets the position of one of the corners 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00317">317</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="569d00c84979da765abfc66a64b25b68"></a><!-- doxytag: member="Ogre::AxisAlignedBox::merge" ref="569d00c84979da765abfc66a64b25b68" args="(const AxisAlignedBox &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::merge           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Merges the passed in box into the current box. 
<p>
The result is the box which encompasses both. 
<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00367">367</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreVector3_8h-source.html#l00537">Ogre::Vector3::makeCeil()</a>, <a class="el" href="OgreVector3_8h-source.html#l00523">Ogre::Vector3::makeFloor()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00061">mExtent</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00060">mMaximum</a>, and <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00059">mMinimum</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h-source.html#l00094">Ogre::VisibleObjectsBoundsInfo::merge()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f3ad8fdc676dc194817f6b7699914d5d"></a><!-- doxytag: member="Ogre::AxisAlignedBox::merge" ref="f3ad8fdc676dc194817f6b7699914d5d" args="(const Vector3 &amp;point)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::merge           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>point</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Extends the box to encompass the specified point (if needed). 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00399">399</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e2e7a8dc14154120b288aabd468fe9d3"></a><!-- doxytag: member="Ogre::AxisAlignedBox::transform" ref="e2e7a8dc14154120b288aabd468fe9d3" args="(const Matrix4 &amp;matrix)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::transform           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>matrix</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Transforms the box according to the matrix supplied. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>By calling this method you get the axis-aligned box which surrounds the transformed version of this box. Therefore each corner of the box is transformed by the matrix, then the extents are mapped back onto the axes to produce another AABB. Useful when you have a local AABB for an object which is then transformed. </dd></dl>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00428">428</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::x</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::y</a>, and <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::z</a>.</p>

</div>
</div><p>
<a class="anchor" name="08597ff0f683fd94d23632dc749bef55"></a><!-- doxytag: member="Ogre::AxisAlignedBox::transformAffine" ref="08597ff0f683fd94d23632dc749bef55" args="(const Matrix4 &amp;m)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::transformAffine           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>m</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Transforms the box according to the affine matrix supplied. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>By calling this method you get the axis-aligned box which surrounds the transformed version of this box. Therefore each corner of the box is transformed by the matrix, then the extents are mapped back onto the axes to produce another AABB. Useful when you have a local AABB for an object which is then transformed. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>The matrix must be an affine matrix. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Matrix4.html#582b20b912ed7d7f8f179505dfbe7a4e" title="Check whether or not the matrix is affine matrix.">Matrix4::isAffine</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00495">495</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00220">Ogre::Math::Abs()</a>, <a class="el" href="OgreMatrix4_8h-source.html#l00517">Ogre::Matrix4::isAffine()</a>, <a class="el" href="OgreMatrix4_8h-source.html#l00562">Ogre::Matrix4::transformAffine()</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::x</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::y</a>, and <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::z</a>.</p>

</div>
</div><p>
<a class="anchor" name="a7428e161d37a9715501c678d919eb2a"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setNull" ref="a7428e161d37a9715501c678d919eb2a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setNull           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the box to a 'null' value i.e. 
<p>
not a box. 
<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00517">517</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneManager_8h-source.html#l00087">Ogre::VisibleObjectsBoundsInfo::reset()</a>.</p>

</div>
</div><p>
<a class="anchor" name="beef4ea1111a90001287734529288749"></a><!-- doxytag: member="Ogre::AxisAlignedBox::isNull" ref="beef4ea1111a90001287734529288749" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AxisAlignedBox::isNull           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the box is null i.e. 
<p>
empty. 
<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00524">524</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00093">AxisAlignedBox()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00752">contains()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00582">intersection()</a>, <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00059">Ogre::PlaneBoundedVolume::intersects()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00551">intersects()</a>, and <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00115">operator=()</a>.</p>

</div>
</div><p>
<a class="anchor" name="953952743ef5dfd51e2012a11801bb47"></a><!-- doxytag: member="Ogre::AxisAlignedBox::isFinite" ref="953952743ef5dfd51e2012a11801bb47" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AxisAlignedBox::isFinite           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the box is finite. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00531">531</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1d02be8fab444a465b52795175fe52dc"></a><!-- doxytag: member="Ogre::AxisAlignedBox::setInfinite" ref="1d02be8fab444a465b52795175fe52dc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::setInfinite           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the box to 'infinite'. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00538">538</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="45665abec389ae0ecbea54a26956a633"></a><!-- doxytag: member="Ogre::AxisAlignedBox::isInfinite" ref="45665abec389ae0ecbea54a26956a633" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AxisAlignedBox::isInfinite           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if the box is infinite. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00545">545</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00093">AxisAlignedBox()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00752">contains()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00582">intersection()</a>, <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00059">Ogre::PlaneBoundedVolume::intersects()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00551">intersects()</a>, and <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00115">operator=()</a>.</p>

</div>
</div><p>
<a class="anchor" name="7f8715f143dbb147e5854fe160e24a0a"></a><!-- doxytag: member="Ogre::AxisAlignedBox::intersects" ref="7f8715f143dbb147e5854fe160e24a0a" args="(const AxisAlignedBox &amp;b2) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AxisAlignedBox::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>b2</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether or not this box intersects another. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00551">551</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00545">isInfinite()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00524">isNull()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00060">mMaximum</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00059">mMinimum</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::x</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::y</a>, and <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::z</a>.</p>

</div>
</div><p>
<a class="anchor" name="1bbe1d561652390716416e3970469dc9"></a><!-- doxytag: member="Ogre::AxisAlignedBox::intersection" ref="1bbe1d561652390716416e3970469dc9" args="(const AxisAlignedBox &amp;b2) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> Ogre::AxisAlignedBox::intersection           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>b2</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Calculate the area of intersection of this box and another. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00582">582</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00152">getMaximum()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00137">getMinimum()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00545">isInfinite()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00524">isNull()</a>, <a class="el" href="OgreVector3_8h-source.html#l00537">Ogre::Vector3::makeCeil()</a>, <a class="el" href="OgreVector3_8h-source.html#l00523">Ogre::Vector3::makeFloor()</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::x</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::y</a>, and <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::z</a>.</p>

</div>
</div><p>
<a class="anchor" name="aa452ad6821e12ea737121b51acf9fe7"></a><!-- doxytag: member="Ogre::AxisAlignedBox::volume" ref="aa452ad6821e12ea737121b51acf9fe7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::AxisAlignedBox::volume           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Calculate the volume of this box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00615">615</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00542">Ogre::Math::POS_INFINITY</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::x</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::y</a>, and <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::z</a>.</p>

</div>
</div><p>
<a class="anchor" name="d77340197d2e06137e82cbae79c895ee"></a><!-- doxytag: member="Ogre::AxisAlignedBox::scale" ref="d77340197d2e06137e82cbae79c895ee" args="(const Vector3 &amp;s)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AxisAlignedBox::scale           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>s</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Scales the AABB by the vector given. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00638">638</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c8739a02ac7dca031e99bd6c3b582d4f"></a><!-- doxytag: member="Ogre::AxisAlignedBox::intersects" ref="c8739a02ac7dca031e99bd6c3b582d4f" args="(const Sphere &amp;s) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AxisAlignedBox::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>s</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests whether this box intersects a sphere. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00651">651</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c0c4f8ffe845434ff3c62faa884adcf2"></a><!-- doxytag: member="Ogre::AxisAlignedBox::intersects" ref="c0c4f8ffe845434ff3c62faa884adcf2" args="(const Plane &amp;p) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AxisAlignedBox::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Plane.html">Plane</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>p</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests whether this box intersects a plane. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00656">656</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f07e5cb7e3c20ed00c74d1a0c0666bdc"></a><!-- doxytag: member="Ogre::AxisAlignedBox::intersects" ref="f07e5cb7e3c20ed00c74d1a0c0666bdc" args="(const Vector3 &amp;v) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AxisAlignedBox::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>v</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests whether the vector point is within this box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00661">661</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::x</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::y</a>, and <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::z</a>.</p>

</div>
</div><p>
<a class="anchor" name="7407087b6542b79792d915c60c0b49f0"></a><!-- doxytag: member="Ogre::AxisAlignedBox::getCenter" ref="7407087b6542b79792d915c60c0b49f0" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::AxisAlignedBox::getCenter           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the centre of the box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00682">682</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>Referenced by <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00059">Ogre::PlaneBoundedVolume::intersects()</a>.</p>

</div>
</div><p>
<a class="anchor" name="2618b461f9d78d23d846bd177b21abd0"></a><!-- doxytag: member="Ogre::AxisAlignedBox::getSize" ref="2618b461f9d78d23d846bd177b21abd0" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::AxisAlignedBox::getSize           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the size of the box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00692">692</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00542">Ogre::Math::POS_INFINITY</a>, and <a class="el" href="OgreVector3_8h-source.html#l00749">Ogre::Vector3::ZERO</a>.</p>

</div>
</div><p>
<a class="anchor" name="dd9cf7a160ec472c91bf0fedb25cfed1"></a><!-- doxytag: member="Ogre::AxisAlignedBox::getHalfSize" ref="dd9cf7a160ec472c91bf0fedb25cfed1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::AxisAlignedBox::getHalfSize           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the half-size of the box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00714">714</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00542">Ogre::Math::POS_INFINITY</a>, and <a class="el" href="OgreVector3_8h-source.html#l00749">Ogre::Vector3::ZERO</a>.</p>

<p>Referenced by <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00059">Ogre::PlaneBoundedVolume::intersects()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d3fe7b6013b38cb3710bfa6462328e8b"></a><!-- doxytag: member="Ogre::AxisAlignedBox::contains" ref="d3fe7b6013b38cb3710bfa6462328e8b" args="(const Vector3 &amp;v) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AxisAlignedBox::contains           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>v</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests whether the given point contained by this box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00738">738</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::x</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::y</a>, and <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::z</a>.</p>

</div>
</div><p>
<a class="anchor" name="d7020d4221c8a7f35800a776f8d4dcb5"></a><!-- doxytag: member="Ogre::AxisAlignedBox::contains" ref="d7020d4221c8a7f35800a776f8d4dcb5" args="(const AxisAlignedBox &amp;other) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AxisAlignedBox::contains           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>other</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests whether another box contained by this box. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00752">752</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00545">isInfinite()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00524">isNull()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00060">mMaximum</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00059">mMinimum</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::x</a>, <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::y</a>, and <a class="el" href="OgreVector3_8h-source.html#l00049">Ogre::Vector3::z</a>.</p>

</div>
</div><p>
<a class="anchor" name="60fe1a0464ed6991c3ec82fada37bb17"></a><!-- doxytag: member="Ogre::AxisAlignedBox::operator==" ref="60fe1a0464ed6991c3ec82fada37bb17" args="(const AxisAlignedBox &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AxisAlignedBox::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests 2 boxes for equality. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00770">770</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>References <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00061">mExtent</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00060">mMaximum</a>, and <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00059">mMinimum</a>.</p>

</div>
</div><p>
<a class="anchor" name="d9a9f1e39dbb38220f1e416b188082ab"></a><!-- doxytag: member="Ogre::AxisAlignedBox::operator!=" ref="d9a9f1e39dbb38220f1e416b188082ab" args="(const AxisAlignedBox &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AxisAlignedBox::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests 2 boxes for inequality. 
<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00784">784</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="cc52ead7fb1c559d3fa2f8573a225feb"></a><!-- doxytag: member="Ogre::AxisAlignedBox::operator&lt;&lt;" ref="cc52ead7fb1c559d3fa2f8573a225feb" args="(std::ostream &amp;o, const AxisAlignedBox aab)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_OgreExport friend std::ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&nbsp;</td>
          <td class="paramname"> <em>aab</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00342">342</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="958c03c0afd2eef4347d345bea8c94a5"></a><!-- doxytag: member="Ogre::AxisAlignedBox::mMinimum" ref="958c03c0afd2eef4347d345bea8c94a5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1AxisAlignedBox.html#958c03c0afd2eef4347d345bea8c94a5">Ogre::AxisAlignedBox::mMinimum</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00059">59</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00093">AxisAlignedBox()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00752">contains()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00551">intersects()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00367">merge()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00115">operator=()</a>, and <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00770">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="2254e8ef682cda1a96693637742c9834"></a><!-- doxytag: member="Ogre::AxisAlignedBox::mMaximum" ref="2254e8ef682cda1a96693637742c9834" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1AxisAlignedBox.html#2254e8ef682cda1a96693637742c9834">Ogre::AxisAlignedBox::mMaximum</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00060">60</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00093">AxisAlignedBox()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00752">contains()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00551">intersects()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00367">merge()</a>, <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00115">operator=()</a>, and <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00770">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="756e8324082dc0b9f1d7926847711ef4"></a><!-- doxytag: member="Ogre::AxisAlignedBox::mExtent" ref="756e8324082dc0b9f1d7926847711ef4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html#49fc600cdfc76dfaba2613ce3af2443e">Extent</a> <a class="el" href="classOgre_1_1AxisAlignedBox.html#756e8324082dc0b9f1d7926847711ef4">Ogre::AxisAlignedBox::mExtent</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00061">61</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00367">merge()</a>, and <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00770">operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="cea97c005561318fc6409f2acc3ce255"></a><!-- doxytag: member="Ogre::AxisAlignedBox::mpCorners" ref="cea97c005561318fc6409f2acc3ce255" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>* <a class="el" href="classOgre_1_1AxisAlignedBox.html#cea97c005561318fc6409f2acc3ce255">Ogre::AxisAlignedBox::mpCorners</a><code> [mutable, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAxisAlignedBox_8h-source.html#l00062">62</a> of file <a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:09 2008
</p>
</body>
</html>
